//
//  Renderable.swift
//  MetalRenderer
//
//  Created by Mira Young on 1/20/20.
//  Copyright © 2020 Mira Young. All rights reserved.
//

import Foundation
import MetalKit

protocol Renderable {
    var name: String { get }
    func render(commandEncoder: MTLRenderCommandEncoder,
                uniforms vertex: Uniforms,
                fragmentUniforms: FragmentUniforms)
}
